Package com.google.android.exoplayer2.ext.cronet

## Class CronetDataSource.OpenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.DataSourceException
        - - com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException
          - - com.google.android.exoplayer2.ext.cronet.CronetDataSource.OpenException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    CronetDataSource

      public static final class CronetDataSource.OpenException
      extends HttpDataSource.HttpDataSourceException

  Thrown when an error is encountered when trying to open a `CronetDataSource`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `HttpDataSource.HttpDataSourceException.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cronetConnectionStatus` | Returns the status of the connection establishment at the moment when the error occurred, as defined by `UrlRequest.Status`.

    - ### Fields inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `dataSpec, type, TYPE_CLOSE, TYPE_OPEN, TYPE_READ`

    - ### Fields inherited from class com.google.android.exoplayer2.upstream.DataSourceException

      `POSITION_OUT_OF_RANGE, reason`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenException​(DataSpec dataSpec, int errorCode, int cronetConnectionStatus)` |
    `OpenException​(IOException cause, DataSpec dataSpec, int cronetConnectionStatus)` | Deprecated. Use `OpenException(IOException, DataSpec, int, int)`.
    `OpenException​(IOException cause, DataSpec dataSpec, int errorCode, int cronetConnectionStatus)` |
    `OpenException​(String errorMessage, DataSpec dataSpec, int cronetConnectionStatus)` | Deprecated. Use `OpenException(String, DataSpec, int, int)`.
    `OpenException​(String errorMessage, DataSpec dataSpec, int errorCode, int cronetConnectionStatus)` |

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `createForIOException`

    - ### Methods inherited from class com.google.android.exoplayer2.upstream.DataSourceException

      `isCausedByPositionOutOfRange`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cronetConnectionStatus

          public final int cronetConnectionStatus

      Returns the status of the connection establishment at the moment when the error occurred, as defined by `UrlRequest.Status`.

  - ### Constructor Detail

    - #### OpenException

          @Deprecated
          public OpenException​(IOException cause,
                               DataSpec dataSpec,
                               int cronetConnectionStatus)

      Deprecated.
      Use `OpenException(IOException, DataSpec, int, int)`.

    - #### OpenException

          public OpenException​(IOException cause,
                               DataSpec dataSpec,
                               @ErrorCode
                               int errorCode,
                               int cronetConnectionStatus)

    - #### OpenException

          @Deprecated
          public OpenException​(String errorMessage,
                               DataSpec dataSpec,
                               int cronetConnectionStatus)

      Deprecated.
      Use `OpenException(String, DataSpec, int, int)`.

    - #### OpenException

          public OpenException​(String errorMessage,
                               DataSpec dataSpec,
                               @ErrorCode
                               int errorCode,
                               int cronetConnectionStatus)

    - #### OpenException

          public OpenException​(DataSpec dataSpec,
                               @ErrorCode
                               int errorCode,
                               int cronetConnectionStatus)